View Issue Details

IDProjectCategoryView StatusLast Update
0037623LazarusIDEpublic2020-08-26 14:08
ReporterCudaText man_ Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
OSUbuntu 20 x64 
Product Version2.1 (SVN) 
Fixed in Version2.2 
Summary0037623: LazUtils compile error on FPC 3.2
DescriptionFPC 3.2.1 x64.
lazcollections.pas(214,8) Error: Can't determine which overloaded function to call
Here
    c:=Max(FQueueSize + ADelta, FTotalItemsPushed - FTotalItemsPopped);

Free Pascal Compiler version 3.2.0-r45643 [2020/07/31] for x86_64
TagsNo tags attached.
Fixed in Revisionr63817
LazTarget2.2
Widgetset
Attached Files

Relationships

has duplicate 0037626 closedBart Broersma Lazcollections no longer compiles 

Activities

Martin Friebe

2020-08-23 22:38

manager   ~0125094

Please test and close
r r63817

Cyrax

2020-08-23 22:43

reporter   ~0125095

Just for addendum : Same compiler error shows up in FPC trunk r46664 i386-linux before Lazarus trunk r63817.

Issue History

Date Modified Username Field Change
2020-08-22 23:49 CudaText man_ New Issue
2020-08-23 20:39 Bart Broersma Relationship added has duplicate 0037626
2020-08-23 20:55 Bart Broersma Assigned To => Martin Friebe
2020-08-23 20:55 Bart Broersma Status new => assigned
2020-08-23 22:38 Martin Friebe Status assigned => resolved
2020-08-23 22:38 Martin Friebe Resolution open => fixed
2020-08-23 22:38 Martin Friebe Fixed in Version => 2.2
2020-08-23 22:38 Martin Friebe Fixed in Revision => r63817
2020-08-23 22:38 Martin Friebe LazTarget => 2.2
2020-08-23 22:38 Martin Friebe Note Added: 0125094
2020-08-23 22:43 Cyrax Note Added: 0125095
2020-08-26 14:08 CudaText man_ Status resolved => closed